Asset statuses are a way of managing the lifecycle of your assets. They represent a state of the asset to help you understand the allocation of assets within your organization.

JSON format

ITAM Asset Statuses are represented as JSON objects with the following properties:

NameTypeRead-onlyMandatoryDescription
categorystringtruefalseThe status category. One of available, in_use, unavailable, or end_of_life. Allowed values are "available", "in_use", "unavailable", or "end_of_life".
created_atstringtruefalseThe time the status record was added
descriptionstringfalsefalseDescription of the status
external_idstringfalsefalseAn id you can use to connect a status to external data
idstringtruefalseAutomatically assigned upon creation
is_standardbooleantruefalseWhether this is a standard (system-defined) status that has limited editability
namestringfalsetrueDisplay name for the status
updated_atstringtruefalseThe time of the status's last update
urlstringtruefalseDirect link to the specific status

List Asset Statuses

  • GET /api/v2/it_asset_management/statuses

Lists all statuses.

Allowed For

  • Agents

Code Samples

Curl
curl --request GET https://example.zendesk.com/api/v2/it_asset_management/statuses \--header "Content-Type: application/json" \-u {email_address}/token:{api_token}
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://example.zendesk.com/api/v2/it_asset_management/statuses"	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://example.zendesk.com/api/v2/it_asset_management/statuses")		.newBuilder();String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://example.zendesk.com/api/v2/it_asset_management/statuses',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://example.zendesk.com/api/v2/it_asset_management/statuses"headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://example.zendesk.com/api/v2/it_asset_management/statuses")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end
curl - Get asset statuses
curl https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses \  -H "Authorization: Bearer {access_token}"

Example response(s)

200 OK
// Status 200 OK
{  "statuses": [    {      "category": "available",      "created_at": "2025-11-06T05:28:00Z",      "description": "Asset is ready for assignment",      "external_id": null,      "id": "01K9BT5XE82QS5DG58F4J8WQWY",      "is_standard": true,      "name": "Available",      "updated_at": "2025-11-06T05:28:00Z",      "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"    },    {      "category": "end_of_life",      "created_at": "2025-11-06T05:28:01Z",      "description": "Asset has been decommissioned",      "external_id": null,      "id": "01K9BT5XGEVP3TGTZDZK14YZJQ",      "is_standard": true,      "name": "Retired",      "updated_at": "2025-11-06T05:28:01Z",      "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XGEVP3TGTZDZK14YZJQ"    },    {      "category": "unavailable",      "created_at": "2025-11-06T05:28:02Z",      "description": "Asset is being serviced",      "external_id": "CUSTOM_REPAIR",      "id": "01K9BT5XHKM2N4P6Q8R0S2T4V6",      "is_standard": false,      "name": "Under Repair",      "updated_at": "2025-11-06T05:28:02Z",      "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XHKM2N4P6Q8R0S2T4V6"    }  ]}

Show Asset Status

  • GET /api/v2/it_asset_management/statuses/{status_id}

Returns the status with the specified id.

Allowed For

  • Agents

Parameters

NameTypeInRequiredDescription
status_idstringPathtrueThe id of the asset status

Code Samples

Curl
curl --request GET https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY \--header "Content-Type: application/json" \-u {email_address}/token:{api_token}
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"	method := "GET"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")		.newBuilder();String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("GET", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'GET',  url: 'https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"GET",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")request = Net::HTTP::Get.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end
curl - Get asset status by id
curl https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/{status_id} \  -H "Authorization: Bearer {access_token}"

Example response(s)

200 OK
// Status 200 OK
{  "status": {    "category": "available",    "created_at": "2025-11-06T05:28:00Z",    "description": "Asset is ready for assignment",    "external_id": null,    "id": "01K9BT5XE82QS5DG58F4J8WQWY",    "is_standard": true,    "name": "Available",    "updated_at": "2025-11-06T05:28:00Z",    "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"  }}

Create Asset Status

  • POST /api/v2/it_asset_management/statuses

Creates a status.

Allowed For

  • Admins

Example body

{  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }}

Code Samples

Curl
curl --request POST https://example.zendesk.com/api/v2/it_asset_management/statuses \--header "Content-Type: application/json" \-u {email_address}/token:{api_token} \--data-raw '{  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }}'
Go
import (	"fmt"	"io"	"net/http"	"strings")
func main() {	url := "https://example.zendesk.com/api/v2/it_asset_management/statuses"	method := "POST"	payload := strings.NewReader(`{  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }}`)	req, err := http.NewRequest(method, url, payload)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://example.zendesk.com/api/v2/it_asset_management/statuses")		.newBuilder();RequestBody body = RequestBody.create(MediaType.parse("application/json"),		"""{  \"status\": {    \"category\": \"available\",    \"description\": \"Asset is awaiting initial configuration\",    \"external_id\": \"PENDING_SETUP\",    \"name\": \"Pending Setup\"  }}""");String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("POST", body)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');var data = JSON.stringify({  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }});
var config = {  method: 'POST',  url: 'https://example.zendesk.com/api/v2/it_asset_management/statuses',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },  data : data,};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsimport jsonfrom requests.auth import HTTPBasicAuth
url = "https://example.zendesk.com/api/v2/it_asset_management/statuses"
payload = json.loads("""{  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }}""")headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"POST",	url,	auth=auth,	headers=headers,	json=payload)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://example.zendesk.com/api/v2/it_asset_management/statuses")request = Net::HTTP::Post.new(uri, "Content-Type": "application/json")request.body = %q({  "status": {    "category": "available",    "description": "Asset is awaiting initial configuration",    "external_id": "PENDING_SETUP",    "name": "Pending Setup"  }})email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end
curl - Create status

For clarity, the example places the JSON in a separate file and imports it into the cURL statement

my_status.json

{  "status": {    "name": "Pending Setup",    "description": "Asset is awaiting initial configuration",    "category": "available"  }}

curl - Create status snippet

curl https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses \  -d @my_status.json \  -H "Content-Type: application/json" -v -u {email_address}/token:{api_token} -X POST

Example response(s)

201 Created
// Status 201 Created
{  "status": {    "category": "available",    "created_at": "2025-11-06T05:28:00Z",    "description": "Asset is ready for assignment",    "external_id": null,    "id": "01K9BT5XE82QS5DG58F4J8WQWY",    "is_standard": true,    "name": "Available",    "updated_at": "2025-11-06T05:28:00Z",    "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"  }}

Update Asset Status

  • PATCH /api/v2/it_asset_management/statuses/{status_id}

Updates an existing status. Standard (system-defined) statuses cannot be modified.

Allowed For

  • Admins

Parameters

NameTypeInRequiredDescription
status_idstringPathtrueThe id of the asset status

Example body

{  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }}

Code Samples

Curl
curl --request PATCH https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY \--header "Content-Type: application/json" \-u {email_address}/token:{api_token} \--data-raw '{  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }}'
Go
import (	"fmt"	"io"	"net/http"	"strings")
func main() {	url := "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"	method := "PATCH"	payload := strings.NewReader(`{  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }}`)	req, err := http.NewRequest(method, url, payload)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")		.newBuilder();RequestBody body = RequestBody.create(MediaType.parse("application/json"),		"""{  \"status\": {    \"category\": \"in_use\",    \"description\": \"Asset has been configured and is ready for deployment\",    \"name\": \"Setup Complete\"  }}""");String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("PATCH", body)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');var data = JSON.stringify({  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }});
var config = {  method: 'PATCH',  url: 'https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },  data : data,};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsimport jsonfrom requests.auth import HTTPBasicAuth
url = "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"
payload = json.loads("""{  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }}""")headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"PATCH",	url,	auth=auth,	headers=headers,	json=payload)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")request = Net::HTTP::Patch.new(uri, "Content-Type": "application/json")request.body = %q({  "status": {    "category": "in_use",    "description": "Asset has been configured and is ready for deployment",    "name": "Setup Complete"  }})email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end
curl - Update status by id

For clarity, the example places the JSON in a separate file and imports it into the cURL statement

updated_status.json

{  "status": {    "name": "Setup Complete",    "description": "Asset has been configured and is ready for deployment",    "category": "in_use"  }}

curl - Update status by id snippet

curl https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/{status_id} \  -d @updated_status.json \  -H "Content-Type: application/json" -X PATCH \  -v -u {email_address}/token:{api_token}

Example response(s)

200 OK
// Status 200 OK
{  "status": {    "category": "available",    "created_at": "2025-11-06T05:28:00Z",    "description": "Asset is ready for assignment",    "external_id": null,    "id": "01K9BT5XE82QS5DG58F4J8WQWY",    "is_standard": true,    "name": "Available",    "updated_at": "2025-11-06T05:28:00Z",    "url": "https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"  }}

Delete Asset Status

  • DELETE /api/v2/it_asset_management/statuses/{status_id}

Deletes a status with the specified id. Standard (system-defined) statuses cannot be deleted. Statuses assigned to assets cannot be deleted.

Allowed For

  • Admins

Parameters

NameTypeInRequiredDescription
status_idstringPathtrueThe id of the asset status

Code Samples

Curl
curl --request DELETE https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY \--header "Content-Type: application/json" \-u {email_address}/token:{api_token}
Go
import (	"fmt"	"io"	"net/http")
func main() {	url := "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"	method := "DELETE"	req, err := http.NewRequest(method, url, nil)
	if err != nil {		fmt.Println(err)		return	}	req.Header.Add("Content-Type", "application/json")	req.Header.Add("Authorization", "Basic <auth-value>") // Base64 encoded "{email_address}/token:{api_token}"
	client := &http.Client {}	res, err := client.Do(req)	if err != nil {		fmt.Println(err)		return	}	defer res.Body.Close()
	body, err := io.ReadAll(res.Body)	if err != nil {		fmt.Println(err)		return	}	fmt.Println(string(body))}
Java
import com.squareup.okhttp.*;OkHttpClient client = new OkHttpClient();HttpUrl.Builder urlBuilder = HttpUrl.parse("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")		.newBuilder();String userCredentials = "your_email_address" + "/token:" + "your_api_token";String basicAuth = "Basic " + java.util.Base64.getEncoder().encodeToString(userCredentials.getBytes());
Request request = new Request.Builder()		.url(urlBuilder.build())		.method("DELETE", null)		.addHeader("Content-Type", "application/json")		.addHeader("Authorization", basicAuth)		.build();Response response = client.newCall(request).execute();
Nodejs
var axios = require('axios');
var config = {  method: 'DELETE',  url: 'https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY',  headers: {	'Content-Type': 'application/json',	'Authorization': 'Basic <auth-value>', // Base64 encoded "{email_address}/token:{api_token}"  },};
axios(config).then(function (response) {  console.log(JSON.stringify(response.data));}).catch(function (error) {  console.log(error);});
Python
import requestsfrom requests.auth import HTTPBasicAuth
url = "https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY"headers = {	"Content-Type": "application/json",}email_address = 'your_email_address'api_token = 'your_api_token'# Use basic authenticationauth = HTTPBasicAuth(f'{email_address}/token', api_token)
response = requests.request(	"DELETE",	url,	auth=auth,	headers=headers)
print(response.text)
Ruby
require "net/http"require "base64"uri = URI("https://example.zendesk.com/api/v2/it_asset_management/statuses/01K9BT5XE82QS5DG58F4J8WQWY")request = Net::HTTP::Delete.new(uri, "Content-Type": "application/json")email = "your_email_address"api_token = "your_api_token"credentials = "#{email}/token:#{api_token}"encoded_credentials = Base64.strict_encode64(credentials)request["Authorization"] = "Basic #{encoded_credentials}"response = Net::HTTP.start uri.hostname, uri.port, use_ssl: true do |http|	http.request(request)end
curl - Delete status by id
curl https://{subdomain}.zendesk.com/api/v2/it_asset_management/statuses/{status_id} \  -X DELETE \  -v -u {email_address}/token:{api_token}

Example response(s)

204 No Content
// Status 204 No Content
null